Name:       uio-tools
Version:    0.40
Release:    1%{?dist}
Summary:    Various tools for use at UiO

Group:      System Environment/Base
License:    GPLv3+

URL:        http://www.uio.no/tjenester/it/maskin/linux/
Source0:    ustat
Source1:    ustat.1.xml
Source2:    lsng
Source3:    lsng.1.xml
Source4:    tele
Source5:    tele.1.xml
Source6:    ufind
Source7:    ufind.1.xml
Source8:    groupinfo
Source9:    groupinfo.1.xml
Source10:   hstat
Source11:   hstat.1.xml
Source12:   uioflags.py
Source13:   on-input
Source14:   lsfg
Source15:   lsfg.1.xml
Source16:   lvm-make-root-for
Source17:   python3-hstat

BuildArch:  noarch

BuildRequires: libxml2
BuildRequires: libxslt
BuildRequires: xml-common
BuildRequires: docbook-style-xsl
%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires: python3-devel
BuildRequires: perl-generators
%else
BuildRequires: python-devel
%endif

%if 0%{?fedora} || 0%{?rhel} >= 8
Requires: python3-ldap
%else
Requires: python-ldap
%endif

%{?perl_default_filter}
%{?python_enable_dependency_generator}

%description
This package contains various useful command line tools for UiO.

%prep
%setup -q -c -T
install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE3} .
install -p -m 0644 %{SOURCE5} .
install -p -m 0644 %{SOURCE7} .
install -p -m 0644 %{SOURCE9} .
install -p -m 0644 %{SOURCE11} .
install -p -m 0644 %{SOURCE15} .

%build
DOCBOOK_XSLT=http://docbook.sourceforge.net/release/xsl/current/manpages/profile-docbook.xsl
XSLTPROC=/usr/bin/xsltproc
XSLTPROC_FLAGS='--catalogs --xinclude --nonet --stringparam profile.condition "with_false"'
XMLLINT=/usr/bin/xmllint
XMLLINT_FLAGS='--catalogs --postvalid --nonet --xinclude --noout'
export SGML_CATALOG_FILES=/etc/xml/catalog
for m in ustat lsfg lsng tele ufind groupinfo hstat; do
    $XMLLINT $XMLLINT_FLAGS $m.1.xml && \
        $XSLTPROC -o $m.1 $XSLTPROC_FLAGS $DOCBOOK_XSLT $m.1.xml
done

%install
# bin
install -d -m 0755 %{buildroot}%{_bindir}
install -p -m 0755 %{SOURCE0} %{buildroot}%{_bindir}
install -p -m 0755 %{SOURCE2} %{buildroot}%{_bindir}
install -p -m 0755 %{SOURCE4} %{buildroot}%{_bindir}
install -p -m 0755 %{SOURCE6} %{buildroot}%{_bindir}
install -p -m 0755 %{SOURCE8} %{buildroot}%{_bindir}
install -p -m 0755 %{SOURCE13} %{buildroot}%{_bindir}
install -p -m 0755 %{SOURCE14} %{buildroot}%{_bindir}
install -p -m 0755 %{SOURCE16} %{buildroot}%{_bindir}

%if 0%{?fedora} || 0%{?rhel} >= 8
install -p -m 0755 %{SOURCE17} %{buildroot}%{_bindir}/hstat
%else
install -p -m 0755 %{SOURCE10} %{buildroot}%{_bindir}
%endif

# man
install -d -m 0755 %{buildroot}%{_mandir}/man1
install -p -m 0644 ustat.1 lsfg.1 lsng.1 tele.1 ufind.1 groupinfo.1 hstat.1 %{buildroot}%{_mandir}/man1

# libs
%if 0%{?fedora} || 0%{?rhel} >= 8
install -d -m 0755 %{buildroot}%{python3_sitelib}
install -p -m 0644 %{SOURCE12} %{buildroot}%{python3_sitelib}
%else
install -d -m 0755 %{buildroot}%{python_sitelib}
install -p -m 0644 %{SOURCE12} %{buildroot}%{python_sitelib}
%endif


%files
%{_bindir}/groupinfo
%{_bindir}/hstat
%{_bindir}/lsfg
%{_bindir}/lsng
%{_bindir}/lvm-make-root-for
%{_bindir}/on-input
%{_bindir}/tele
%{_bindir}/ufind
%{_bindir}/ustat
%{_mandir}/man1/*.1*
%if 0%{?fedora} || 0%{?rhel} >= 8
%{python3_sitelib}/uioflags.py
%{python3_sitelib}/__pycache__/*
%else
%{python_sitelib}/uioflags.py*
%endif

%changelog
* Tue Feb 16 2021 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.40-1
- python3-hstat: Fix handling of missing flags

* Mon Oct 21 2019 Øyvind Kolbu <kolbu@usit.uio.no> - 0.39-1
- Find flags from ldap and just use the description as is.

* Mon Oct 14 2019 Øyvind Kolbu <kolbu@usit.uio.no> - 0.38-1
- Show network categories again for hosts. Broken for 7 years.
- Fix python3 hstat to permit ipadresses which does not resolve.

* Fri Sep 20 2019 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.37-1
- hstat: Add Python 3 version for Fedora/RHEL8, thanks to Paal
  Braathen

* Wed Sep 18 2019 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.36-1
- tele: include uio internal and private mobile phone no

* Tue May  7 2019 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.35-5
- hstat: Change shebang to /usr/bin/python2

* Thu Jan 10 2019 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.35-4
- Add missing buildrequires for Fedora

* Fri Nov  2 2018 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.35-2
- Various fixes for f29

* Mon Nov 13 2017 Øyvind Kolbu <oyvind.kolbu@usit.uio.no> - 0.35-1
- hstat: get vlan id from ldap

* Thu Oct 12 2017 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.34-1
- hstat: Fix output if argument is IP address
- hstat: Get subnet info also when argument is an IPv6 address
- hstat: Specify in output that network info is for IPv4

* Thu Oct 12 2017 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.33-1
- hstat: Bugfix for IPv6 addresses that contain characters A..F

* Thu Oct  5 2017 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.32-1
- hstat: Output VLAN (patch from Terje Kvernes)

* Wed Jul 12 2017 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.31-1
- groupinfo: Prettier output for longer user names

* Thu Feb  9 2017 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.30-1
- ustat: Set terminal width to 80 chars if we're not on a TTY

* Tue Aug 30 2016 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.29-1
- Bugfix for hstat parseable output

* Mon Jun 23 2014 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.28-1
- Add new program lvm-make-room-for

* Thu May 15 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.27-1
- Rename "ng" to "lsng" to avoid conflict with package "nailgun" from
  Fedora proper
- Add new program "lsfg"

* Mon May 12 2014 Mikael Dalsgard <mikael.dalsgard@usit.uio.no> - 0.26-1
- on-input: initial addition (ported from RHEL 5 and STORE)

* Thu Jul 11 2013 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.25-1
- ustat: New options: --exists and --quiet

* Fri Jan  4 2013 Ståle Askerød Johansen <s.a.johansen@usit.uio.no> - 0.24-1
- hstat: better usage statement
- uioflags.py: changed flag for geofag

* Thu Nov  8 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.23-1
- ustat: Workaround for users with non-existent default fg (trondham)
- hstat: Bugfix for UTF-8 strings (staalej)

* Sun Oct 21 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.22-1
- hstat: Fixed bug for broadcast address (trondham)

* Sun Oct 21 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.21-1
- hstat: Added options to list subnet usage statistics (trondham)

* Sat Oct 20 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.20-1
- ustat: Fixed use of uninitialized variable (trondham)
- hstat: Added odont flag (trondham)
- MAN: Various fixes (trondham)

* Tue Oct 16 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.19-1
- hstat: New option '-l' for legend (staalej)
- hstat: Support ipv6-only hosts (kolbu)
- hstat: Sort IP-addresse before printing them (kolbu)
- hstat: Flags in its own python file (staalej)
- Various spec file fixes (trondham)

* Tue Sep 18 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.18-1
- tele: added scoped affiliations in output (trondham)
- tele: add transcription for Æ (trondham)
- tele: fix bug for title printing (trondham)
- tele: print all telephone numbers if there are more than one
  (trondham)
- ufind: added orgunit search (trondham)

* Tue Sep 11 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.17-1
- Massive revamp of hstat (trondham, staalej)
- Bug fix in groupinfo (kolbu)

* Wed Aug 29 2012 Ståle Askerød Johansen <s.a.johansen@usit.uio.no> - 0.16-1
- fixed bug in hstat

* Fri Aug 24 2012 Ståle Askerød Johansen <s.a.johansen@usit.uio.no> - 0.15-1
- hstat rewritten in Python

* Wed Aug 22 2012 Ståle Askerød Johansen <s.a.johansen@usit.uio.no> - 0.14-1
- New functionality for hstat

* Thu May 24 2012 Ståle Askerød Johansen <s.a.johansen@usit.uio.no> - 0.13-1
- Added hstat with manpage

* Sun May  6 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.12-1
- Bugfix for groupinfo for file groups with no members

* Sat May  5 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.11-1
- New program groupinfo added
- Small bugfix for ustat

* Sat May  5 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.10-1
- Minor enhancements in ustat, ufind

* Thu Mar 22 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.9-1
- Enhancements in ufind

* Thu Mar 22 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.8-1
- Enhancements in ustat

* Wed Mar 21 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.7-1
- Removed rcsed (moved to another package)

* Wed Mar 21 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.6-1
- Added new tool 'rcsed'

* Tue Mar 20 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.5-1
- Added new tool 'ufind'

* Tue Mar 20 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.4-1
- Bugfixes in tele

* Mon Mar 19 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.3-1
- New script 'tele' was added

* Sun Mar 18 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.2-1
- Added man pages

* Thu Mar 15 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.1-1
- Initial release
